Subject: Mourning Cloak in sunny S. Wisconsin 3/29

From: Dory Owen <[email-masked]>
Date: Sat, 30 Mar 1996 16:21:34 -0800

First sighting for me in Madison, Wisconsin, Friday 3/29 was a Mourning 
Cloak whizzing by in front of the house.  (Snow and subfreezing last 
week.)  The power company just trimmed the maples and now sap is gushing 
out.  Are other early spring "sap-suckers" likely to be attracted?  

I'd like to think there's a positive side to the sticky, leaky condition 
of my maples.

Dory Owen